#!/usr/bin/python3
# -*- coding: utf-8 -*-
# 　

import json
import sys
import pprint

if len(sys.argv) <= 1:
    print('usage: python {} jsonfile'.format(sys.argv[0]))
    exit()

with open(sys.argv[1], 'r', encoding='utf-8') as f:
    jd = json.load(f)
    for c in jd['cells']:
        if c['cell_type'] == 'markdown':
            print("print('", *[x.replace('\n', '\\n') for x in c['source']], "')\n\n", sep="")
        elif c['cell_type'] == 'code':
            print(*c['source'], '\n\n', sep='')
