#!/usr/bin/python3
# -*- coding: utf-8 -*-
# 　
# The original code derived from https://github.com/enakai00/colab_tfbook

from PIL import Image
import numpy as np
import matplotlib.pyplot as plt
import pickle

hm = Image.open('hm.jpg')
hm.show()
print(type(hm), hm)
hma = np.array(hm.convert('L')).reshape(28*28, )/255.0
print(type(hma), hma.shape, type(hma[0]))

plt.imshow(hma.reshape(28, 28), vmin=0, vmax=1, cmap=plt.cm.gray_r)
plt.show()

with open('ORENIST.data', 'rb') as file:
    images, labels = pickle.load(file)
print(type(images), images.shape, type(images[0][0]))
print(type(labels), labels.shape, type(labels[0][0]))

plt.imshow(images[0].reshape(28, 28), vmin=0, vmax=1, cmap=plt.cm.gray_r)
plt.show()

# im = Image.fromarray(np.array([[np.uint8((1.0-images[0][x+y*28])*255)  for x in range(28)] for y in range(28)]))

im = Image.fromarray(np.uint8(255.0*(1.0-images[0].reshape(28, 28))))

im.convert('RGB')
im.show()
im.save('orenist0.png')
