#!/usr/bin/python3
# -*- coding: utf-8 -*-
# 　

import numpy as np

print('as for loop, former is outer, latter is inner')
a = np.array([[x1, x2] for x2 in np.linspace(21, 24, 4) for x1 in np.linspace(11, 14, 4)])
print('a', type(a), a.shape)
print(a)

b = np.array([100*x1+x2 for (x1, x2) in a])
print('b', type(b), b.shape)
print(b)

c = np.array(b).reshape(4, 4)
print('c', c)


x = np.array([[[x1, x2]
               for x1 in np.linspace(11, 14, 4)]
              for x2 in np.linspace(21, 24, 4)])
print('x', type(x), x.shape)
print(x)

y = np.array([[100*x1+x2 for (x1, x2) in x3] for x3 in x])
print('y', type(y), y.shape)
print(y)
